<?php
	//ini_set('display_errors', 1);
	//error_reporting(E_ALL);
	//$catalog="hs_quest"; // переменная определена на сайте перед тегом head 
	$file=array(); $start=1; $topic_count_page=1;
	if(!file_exists("$catalog/admin/conf/mes.txt")) exit("неправильно набран номер!!!");
	//$phpself_array и $stranica определены в sg_cm_code.php 
	$filename = $phpself_array[count($phpself_array)-1];
	$fileNameIvygruz = $filename;
	$fileNameIedit = '.htflag_edit_titles_'.$filename;
	$lastEdit = filemtime($fileNameIedit);
	$lastVygruz = filemtime($fileNameIvygruz);
	if ($lastEdit < $lastVygruz || !file_exists($fileNameIedit)) { 
		$base = file_get_contents($catalog.'/admin/db/zagl'); 
		if ($base!==false && $base!=''){
			$pos = strpos($filename, ".");
			$base = preg_replace('!indx=\'[^\']*?\';!', 'indx=\''.$stranica.'\';', $base);
			file_put_contents($catalog.'/admin/db/zagl',$base); touch($fileNameIedit);
		}
	} 
	//почта 
	$mset=file('sg_cm/conf/set.php');
	for($i=0; $i<count($mset); $i++) $mset[$i]=trim($mset[$i]);
	if ($mset[4]=="X5" && is_file("res/imemail.inc.php")) {$incl="res/imemail.inc.php";}
	elseif (is_file("sg_cm/include/email_libM.php")) {$incl="sg_cm/include/email_libM.php"; $mset[4]=="libM";}
	elseif (is_file("res/imemail.inc.php")) {$incl="res/imemail.inc.php"; $mset[4]=="X5";}
	else exit("Не найден скрипт отправки почты");
	require($incl); 
	require ('sg_cm/include/mailtemplater.php');
	require ('sg_cm/root.php');
	$server=rtrim($_SERVER['SERVER_NAME']."/".$sg_root,'/');
	$phpself_=explode('?',$_SERVER['REQUEST_URI']);
	$phpself=$phpself_[0]; //вставил вместо Server[php_self] из-за того что не работали формы данных при использовании редиректа убирающего php расширения файлов из адресной строки 11.03.16
	
	// include("$catalog/css.php"); убрано SG для вставки в материнскую страницу в head
	$conf=file("$catalog/admin/conf/mes.txt");
	for($i=0; $i<count($conf); $i++)
	{
		$conf[$i]=trim($conf[$i]);
		$expl=explode("*",$conf[$i]);
		$conf[$i]=$expl[1];
	}
	
	$sett=file("$catalog/admin/conf/sett.txt");
	for($i=0; $i<count($sett); $i++) $sett[$i]=trim($sett[$i]);
	
	$blok_cons=array();
	$blok_cons=file("$catalog/admin/conf/blok.txt");
	for($i=0; $i<count($blok_cons); $i++) $blok_cons[$i]=trim($blok_cons[$i]);
	
	$m=$conf[32];
	function foto($fio, $foto)
	{
		global $m;
		$size_img=array();
		//Размер
		$size_img=getimagesize("$foto");
		
		$w_f=$size_img[0];
		$h_f=$size_img[1];
		if($size_img[0]>$m)
		{
			$balans=$size_img[0]/$m;
			//                    if(round($balans,2)>=1)
			//                       {
			$size_img[0]=$size_img[0]/$balans;
			$size_img[1]=$size_img[1]/$balans;
			//                       }
			
		}
		if($size_img[1]>$m)
		{
			$balans=$size_img[1]/$m;
			//                    if(round($balans,2)>=1)
			//                       {
			$size_img[0]=$size_img[0]/$balans;
			$size_img[1]=$size_img[1]/$balans;
			//                       }
		}
		$size_img[0]=round($size_img[0]); //sg
		$size_img[1]=round($size_img[1]); //sg
		echo "<img class=imgnone src=/$foto width=$size_img[0] height=$size_img[1] alt='$fio' title='$fio' >";
	}
	$stat_img=array();
	$stat_img1=array();
	$d=opendir("$catalog/admin/cons/foto");
	while(($e=readdir($d))!=false)
	{
		if($e =="." || $e ==".." || $e==".htaccess" ) continue;
		$stat_img[]=$e;
	}
	closedir($d);
	
	for($n=0;$n<count($stat_img);$n++)
	{
		$expl=explode(".",$stat_img[$n]);
		$stat_img1[$n]=$expl[0];
	}
	$img="$catalog/img/code/".rand(1,12).".jpg";
	
	$info="";
	if(isset($_POST['go']))
	{
		$_POST['q_name']=trim($_POST['q_name']);
		$_POST['q_mail']=trim($_POST['q_mail']);
		$_POST['quest']=trim($_POST['quest']);
		
		if($_POST['q_name']=="" || $_POST['q_mail']=="" || $_POST['quest']=="") $info="<font color=red>Для ввода обязательны все данные!</font>";
		if($info=="")
        {
			$num=false;
            switch($_POST['hid'])
			{
				case "$catalog/img/code/1.jpg": if($_POST['cod']!="5406") $num=true;
				break;
				
				case "$catalog/img/code/2.jpg": if($_POST['cod']!="0954") $num=true;
				break;
				case "$catalog/img/code/3.jpg": if($_POST['cod']!="9432") $num=true;
				break;
				case "$catalog/img/code/4.jpg": if($_POST['cod']!="5912") $num=true;
				break;
				case "$catalog/img/code/5.jpg": if($_POST['cod']!="3498") $num=true;
				break;
				case "$catalog/img/code/6.jpg": if($_POST['cod']!="7543") $num=true;
				break;
				case "$catalog/img/code/7.jpg": if($_POST['cod']!="4591") $num=true;
				break;
				case "$catalog/img/code/8.jpg": if($_POST['cod']!="9854") $num=true;
				break;
				case "$catalog/img/code/9.jpg": if($_POST['cod']!="7631") $num=true;
				break;
				case "$catalog/img/code/10.jpg": if($_POST['cod']!="9654") $num=true;
				break;
				case "$catalog/img/code/11.jpg": if($_POST['cod']!="3861") $num=true;
				break;
				case "$catalog/img/code/12.jpg": if($_POST['cod']!="7312") $num=true;
				break;
			}
			if($num)$info="<font color=red>Вы неправильно ввели код!</font><br />";
		}
		//Чёрный список
		$bl=file("$catalog/admin/conf/bl.txt");
		foreach($bl as $line)
		{
			$line=trim($line);
			$expl=explode("*",$line);
			if($expl[2]==$_SERVER['REMOTE_ADDR'])
			{
				$info="<font color=red>Вы не можете задавать вопросов! Обратитесь к администратору сайта</font>";
				break;
			}
		}
		if($info=="")
		{
			$_POST['q_name']=stripcslashes($_POST['q_name']);
			$_POST['q_mail']=stripcslashes($_POST['q_mail']);
			$_POST['quest']=stripcslashes($_POST['quest']);
			$_POST['q_name']=htmlspecialchars($_POST['q_name']);
			$_POST['q_mail']=htmlspecialchars($_POST['q_mail']);
			$_POST['quest']=htmlspecialchars($_POST['quest']);
			$_POST['quest']=str_replace("\r\n","<br>",$_POST['quest']);
			$id=time();
			if(isset($_GET['c']))
			{
                if(!file_exists("$catalog/admin/cons/cons/$_GET[c]") || !is_numeric($_GET['c'])) $path="";
                else $path=$_GET['c'];
			}
			else $path="";
			//В неотвеченные
			$f=fopen("$catalog/admin/cons/quest/$id","w+");
			fwrite($f,date("d.m.Y")."*".$_POST['q_name']."*".$_POST['q_mail']."*".$_SERVER['REMOTE_ADDR']."*".$path."\r\n".$_POST['quest']."\r\n");
			fclose($f);
			
			//Письма
			//Админу
			if($sett[0]!="")
			{
                $subj= "Поступил новый вопрос.";
                $mess=
				"Здравствуйте!  Задан вопрос на сайте http://".$server." .
				Посмотреть его вы можете в   <a href='http://".$server."/adm'> панели управления администратора </a> в списке неотвеченных вопросов. 
				</p>
				C уважением. Администратор.";
				$mess=str_replace("\r\n\r\n","\r\n",$mess);
				$nnews=array (0=>'');
				$t=array (0=>'',1=>'',2=>'',3=>'');
				$t[0]=ucfirst($server);
				$nnews[0]=$mess;
				if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
				else $mess='';
				if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t);
				else $mess_txt='';
				$to=$sett['0']; require("sg_cm/conf/email_set.php");//отправка почты
			}
			//Консультанту
			if($path!="")
			{
				$us=file("$catalog/admin/cons/cons/$_GET[c]");
				$us[0]=trim($us[0]);
				$expl=explode("*",$us[0]);
                $subj= "Вам задали вопрос.";
                $mess=
				"Здравствуйте, $expl[0]! Вам задали вопрос на сайте http://$server .
				Ответить на него вы можете в  <a href='http://$server/cons'> панели управления консультанта </a>. </p>
				C уважением. Администратор.";
				$mess=str_replace("\r\n\r\n","\r\n",$mess);
				$nnews=array (0=>'');
				$t=array (0=>'',1=>'',2=>'',3=>'');
				$t[0]=ucfirst($server);
				$nnews[0]=$mess;
				if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
				else $mess='';
				if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t);
				else $mess_txt='';
				$to=trim($expl[1]);  require("sg_cm/conf/email_set.php");// отправка почты
			}
			else
			{
				$blok=file("$catalog/admin/conf/blok.txt");
				for($i=0; $i<count($blok); $i++) $blok[$i]=trim($blok[$i]);
				$oll_mail=array();
				$d=opendir("$catalog/admin/cons/cons");
				while(($t0=readdir($d))!=false)
                {
					if($t0 =="." || $t0 ==".." || $t0==".htaccess") continue;
					$file=file("$catalog/admin/cons/cons/$t0");
					$expl=explode("*",$file[0]);
					if((!in_array($t0,$blok))) $oll_mail[]= $expl[1];
				}
                closedir($d);
                $subj="Вам задали вопрос.";
                $mess=
				"Здравствуйте! Вы зарегистрированы консультантом на сайте http://".$server." . Вам задали вопрос.
				Ответить на него вы можете в  <a href='http://".$server."/cons'> панели управления консультанта </a>. </p>
				C уважением. Администратор.";
				$mess=str_replace("\r\n\r\n","\r\n",$mess);
				$nnews=array (0=>'');
				$t=array (0=>'',1=>'',2=>'',3=>'');
				$t[0]=ucfirst($server);
				$nnews[0]=$mess;
				if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
				else $mess='';
				if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t);
				else $mess_txt='';
				foreach($oll_mail as $line) { usleep(350000); $to=trim($line); require("sg_cm/conf/email_set.php");} //отправка почты всем консам с интервалом 350 мс
			} 
			if(!isset($_GET['c']))echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?id_q=$id'>";
			else echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?id_q=$id&amp;c=$_GET[c]'>";
			exit();
		}
	}
	if(isset($_POST['query']))
	{
		$_POST['query']=trim($_POST['query']);
		if($_POST['query']!="" && strlen($_POST['query'])>1)
		{
			//Очистка
			$d=opendir("$catalog/search");
			while(($t=readdir($d))!=false)
			{
				if($t =="." || $t ==".." || $t==".htaccess") continue;
				if((time()-$t)>3600)unlink("$catalog/search/$t");
			}
			closedir($d);
			
			$file=array();
			$d=opendir("$catalog/admin/cons/db");
			while(($e=readdir($d))!=false)
			{
				if($e =="." || $e ==".." || $e==".htaccess") continue;
				$b=opendir("$catalog/admin/cons/db/$e");
				while(($t=readdir($b))!=false)
				{
					$str="";
					if($t =="." || $t ==".." || $t==".htaccess") continue;
					$w=file("$catalog/admin/cons/db/$e/$t");
					$_POST['query'] = mb_strtolower($_POST['query'], 'UTF-8'); 
					$w[1] = mb_strtolower($w[1], 'UTF-8'); $w[2] = mb_strtolower($w[2], 'UTF-8'); 
					$str= stristr($w[1], $_POST['query']); 
					$str.= stristr($w[2], $_POST['query']);   
					//         $str= mb_stristr($w[1], $_POST['query'], 'UTF-8');
					//         $str.= mb_stristr($w[2], $_POST['query'], 'UTF-8');
					if($str!="")$file[$t]="$e*$t";
				}
				closedir($b);
			}
			closedir($d);
			$time=time();
			if(count($file))
			{
				krsort($file,SORT_NUMERIC);
				$f=fopen("$catalog/search/$time","w+");
				foreach($file as $line)fwrite($f,$line."\r\n");
				fclose($f);
			}
			
			echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]?search=$time'>";
			exit();
		}
	}
?>
<table  class="tblw tmce" >
	
	<?php
		//Задать вопрос
		if(isset($_GET['add']) && !isset($_GET['id_q']) && !isset($_GET['about']) && !isset($_GET['o_q']))
		{
			if(!isset($_GET['c'])) $_GET['c']="";
			echo "<tr >
			<td class=valtop   id=q_menu><a href='$_SERVER[PHP_SELF]'>Вопросы и ответы</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?oll=1'>Наши консультанты</a>
			<form  action='".$phpself."?add=1&amp;c=".$_GET['c']."' method=post>
			<table align=center valigh=center border=0 id=q_form>
			
			<tr><td colspan=2>
			$info<br>
			имя <br />
			<input name=q_name type=text size=50 value='".@$_POST['q_name']."'><br /><br />
			e-mail<br />
			<input name=q_mail type=text size=50 value='".@$_POST['q_mail']."'><br /><br />
			вопрос<br />
			<textarea name=quest rows=20 cols=70 >".@$_POST['quest']."</textarea><br />
			<input type=hidden name='hid' value=$img>
			</td></tr>
			<tr>
			<td valign=bottom><input type=submit value=Отправить name=go id=q_button></td>
			<td class='alr valtop' ><input type=text name='cod' size=5 >
			<IMG SRC=$img ALT='Код'> </td>
			</tr>
			
			</table>
			</form>
			
			</td>
			</tr>";
		}
		//Главная
		if(!isset($_GET['add']) && !isset($_GET['id_q'])&& !isset($_GET['oll'])&& !isset($_GET['about'])&& !isset($_GET['o_q']) &&  !isset($_GET['search']) )
		{
			
			$file1=array();
			$file=array();
			$d=opendir("$catalog/admin/cons/db");
			while(($e=readdir($d))!=false)
			{
				if($e =="." || $e ==".." || $e==".htaccess") continue;
				$b=opendir("$catalog/admin/cons/db/$e");
				while(($t=readdir($b))!=false)
				{
					if($t =="." || $t ==".." || $t==".htaccess") continue;
					$file1[$t]="$catalog/admin/cons/db/$e/$t";
					
				}
				closedir($b);
			}
			closedir($d);
			
			//Сортировка
			krsort($file1,SORT_NUMERIC);
			
			foreach($file1 as $line)$file[]=$line;
			
			
			$topic_count_page=$conf[60];
			if(!isset($_GET['page']) || !is_numeric(@$_GET['page']) || @$_GET['page']<1 )$page=1;
			else $page=$_GET['page'];
			if($page > ceil(count($file)/ $topic_count_page))$page=1;
			$start=$page * $topic_count_page-$topic_count_page;
			$pages=ceil(count($file)/ $topic_count_page);
			if(empty($_GET['ind']) || !is_numeric(@$_GET['ind']) || @$_GET['ind']>ceil($pages/$topic_count_page)  || @$_GET['ind']<1)$index=1;
			else $index= $_GET['ind'];
			echo"<tr><td class=valtop id=q_menu>
			<a href='$_SERVER[PHP_SELF]?add=1'>Задать вопрос</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?oll=1'>
			Наши консультанты</a></td><td class='alr valtop'>
			<form name=sear action='$phpself' method=post>
			<input name=query type=text placeholder='поиск' >
			<a href=# onclick=\"sear.submit()\"><img src=$catalog/img/but.png  alt=поиск title=Искать class=imgright></a>
			</form></td>
			</tr>
			<tr><td colspan=2 class=valtop>";
			
			$cons=array();
			$cons1=array();
			$cons=file("$catalog/admin/conf/cons.txt");
			foreach($cons as $line)
			{
				$expl=explode("*",$line);
				$cons1[$expl[1]]=$expl[0];
			}
			for($x=$start,$y=0; $x<count($file); $x++,$y++)
			{
				if($y==$topic_count_page)break;
				$text=file($file[$x]);
				$text[0]=trim($text[0]);
				$expl=explode("*",$text[0]);
				
				echo"<div class=blok >
				
				<div  class=ansv>
				<div class=data>$expl[0]&nbsp;&nbsp;$expl[1]</div>
				$text[1] 
				</div>
				
				
				<div>
				
				<div class=quest-inf >";
				if(in_array($expl[4],$stat_img1)) {  foto( array_search($expl[4], $cons1), "$catalog/admin/cons/foto/".$stat_img[array_search($expl[4], $stat_img1)]);}
				else echo "  <img src=$catalog/admin/img/face.jpg class=imgnone>";
				echo"<br>";
				echo array_search($expl[4], $cons1).
				"  <br>  
				<a href='$_SERVER[PHP_SELF]?about=1&amp;c=$expl[4]'>О&nbsp;консультанте</a><br />  ";
				
				//                         if(!in_array($expl[4],$blok_cons))echo"<a href='$_SERVER[PHP_SELF]?add=1&amp;c=$expl[4]'>Задать вопрос</a><br />";
				
				echo"<a href='$_SERVER[PHP_SELF]?o_q=1&amp;c=$expl[4]'>Все ответы</a>";
				
				echo"</div>
				<p class='quest-text valtop'>
				$text[2] 
				</p>
				</div> 
				</div><br /> ";
			}
			echo"</td>
			</tr>";
			
			if(count($file)> $topic_count_page)
			{
				//Постраничная навигаця
				echo "<tr><td colspan=2 style='line-height: 1.7;'>";
				if($index>1)echo "
				<a class='navig_passiv' href=$_SERVER[PHP_SELF]?page=".(($index-1)*10)."&amp;ind=".($index-1)." title=назад><<</a>";
				
				for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
				{
					
					if($p>10 )
					{
						echo "<a class='navig_passiv'  href=$_SERVER[PHP_SELF]?page=".($i)."&amp;ind=".($index+1)." title=далее>>></a>";
						break;
					}
					if($page==$i)
					echo "<a class='navig_activ' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index'>$i</a>";
					else
					echo "<a class='navig_passiv' href='$_SERVER[PHP_SELF]?page=$i&amp;ind=$index'>$i</a>";
				}
				
				echo "</td></tr>";
			}
			
		}
		//вопрос задан
		if(isset($_GET['id_q'])&& !isset($_GET['about'])&& !isset($_GET['o_q']))
		{
			if(!file_exists("$catalog/admin/cons/quest/$_GET[id_q]") || !is_numeric($_GET['id_q']))
			{
				echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]'>";
				exit();
			}
			
			if(isset($_GET['c']))
			{
				if(!file_exists("$catalog/admin/cons/cons/$_GET[c]") || !is_numeric($_GET['c'])) $user=".";
				else
				{
					$us=file("$catalog/admin/cons/cons/$_GET[c]");
					$expl=explode("*",$us[0]);
					$user=" ".$expl[0].".";
				}
			}
			else $user=".";
			
			echo "<tr>
			<td class=valtop id=q_menu height=5%><a href=$_SERVER[PHP_SELF]>Вопросы и ответы</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?oll=1'>Наши консультанты</a></td></tr>
			<tr>
			<td valigh=center><table align=center  border=0><tr><td><br /><br /><br /><br /><br /><br /><br />
			<font color=#408080>Спасибо! Ваш вопрос отправлен консультанту$user <br> Вы получите уведомление об ответе на указанный вами e-mail.</font>
			</td><tr></table>
			</td>
			</tr>";
		}
		
		//Консультанты
		if(!isset($_GET['add']) && !isset($_GET['id_q']) && isset($_GET['oll'])&& !isset($_GET['about'])&& !isset($_GET['o_q']))
		{
			$cons=array();
			
			$d=opendir("$catalog/admin/cons/cons");
			while(($e=readdir($d))!=false)
			{
				if($e =="." || $e ==".." || $e==".htaccess" ) continue;
				$cons[]=$e;
			}
			closedir($d);
			
			echo "<tr>
			<td class=valtop id=q_menu>
			
			<a href=$_SERVER[PHP_SELF]>Вопросы и ответы</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?add=1'>Задать вопрос</a></td>
			<td class='alr valtop'>
			<form name=sear action='$phpself?oll=1' method=post>
			<input name=query type=text value=поиск onclick=\"document.sear.query.value=''\">
			<a href=# onclick=\"sear.submit()\"><img src=$catalog/img/but.png  alt=поиск title=Искать class=imgright></a>
			</form></td>
			</tr>
			<tr><td colspan=2 >";
			ksort($cons,SORT_NUMERIC);
			foreach($cons as $line)
			{
				$u=file("$catalog/admin/cons/cons/$line");
				$expl=explode("*",$u[0]);
				if(!isset($u[1]))$info_consult="&nbsp;";
				else $info_consult=$u[1];
				echo"<div  class=blok><div><div class=quest-inf>";
				if(in_array($line,$stat_img1)) foto($expl[0],"$catalog/admin/cons/foto/".$stat_img[array_search($line, $stat_img1)]);
				else echo "<img src=$catalog/admin/img/face.jpg class=imgnone>";
				echo "<br />$expl[0]<br /><br />";
				if(!in_array($line,$blok_cons)) echo "<a href='$_SERVER[PHP_SELF]?add=1&amp;c=$line'>Задать вопрос</a><br />";
				echo "<a href='$_SERVER[PHP_SELF]?o_q=1&amp;c=$line'>Все ответы</a>
				
				</div><p  class='quest-text valtop' style='padding-left:17%'>$info_consult</p></div></div><br />";
			}
			
			echo"     </td>
			</tr>";
			
		}
		
		//О консультанте
		if(!isset($_GET['add']) && !isset($_GET['id_q']) && !isset($_GET['oll'])&& isset($_GET['about'])&& isset($_GET['c'])&& !isset($_GET['o_q']))
		{
			if(!file_exists("$catalog/admin/cons/cons/$_GET[c]") || !is_numeric($_GET['c']))
			{
				echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]'>";
				exit();
			}
			echo "<tr>
			<td class=valtop id=q_menu><a href=$_SERVER[PHP_SELF]>Вопросы и ответы</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?add=1'>Задать вопрос</a></td>
			<td class='alr valtop'>
			<form name=sear action='$phpself?about=1&amp;c=$_GET[c]' method=post>
			<input name=query type=text value=поиск onclick=\"document.sear.query.value=''\">
			<a href=# onclick=\"sear.submit()\"><img src=$catalog/img/but.png  alt=поиск title=Искать class=imgright></a>
			</form></td>
			</tr>
			<tr><td colspan=2 >";
			$u=file("$catalog/admin/cons/cons/$_GET[c]");
			$expl=explode("*",$u[0]);
			echo"<div  class=blok><div><div class=quest-inf>";
			if(in_array($_GET['c'],$stat_img1)) foto($expl[0], "$catalog/admin/cons/foto/".$stat_img[array_search($_GET['c'], $stat_img1)]);
			else echo "<img src=$catalog/admin/img/face.jpg class=imgnone>";
			echo "<br />$expl[0]<br /><br />";
			if(!in_array($_GET['c'],$blok_cons)) echo "<a href='$_SERVER[PHP_SELF]?add=1&amp;c=$_GET[c]'>Задать вопрос</a><br />";
			echo"<a href='$_SERVER[PHP_SELF]?o_q=1&amp;c=$_GET[c]'>Все ответы</a>";
			
			if(isset($u[1])) echo"</div><p  class='quest-text valtop' style='padding-left:17%'>$u[1]</p></div></div>";
			else echo"</div><p   class='quest-text valtop'>&nbsp;</p></div></div>";
			
			echo"     </td>
			</tr>";
		}
		
		//Все ответы консультанта
		if(isset($_GET['c'])&& isset($_GET['o_q']))
		{
			if(!file_exists("$catalog/admin/cons/cons/$_GET[c]") || !is_numeric($_GET['c']))
			{
				echo "<meta http-equiv=refresh content='0; url=$_SERVER[PHP_SELF]'>";
				exit();
			}
			
			echo "<tr>
			<td class=valtop id=q_menu><a href=$_SERVER[PHP_SELF]>Вопросы и ответы</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?add=1'>Задать вопрос</a></td>
			<td class='alr valtop'>
			<form name=sear action='$phpself?o_q=1&amp;c=$_GET[c]' method=post>
			<input name=query type=text value=поиск onclick=\"document.sear.query.value=''\">
			<a href=# onclick=\"sear.submit()\"><img src=$catalog/img/but.png  alt=поиск title=Искать class=imgright></a>
			</form> </td>
			</tr>
			<tr><td colspan=2 >";
			$file1=array();
			$file=array();
			
			$b=opendir("$catalog/admin/cons/db/$_GET[c]");
			while(($t=readdir($b))!=false)
			{
				if($t =="." || $t ==".." || $t==".htaccess") continue;
				$file1[$t]="$catalog/admin/cons/db/$_GET[c]/$t";
			}
			closedir($b);
			
			//Сортировка
			krsort($file1,SORT_NUMERIC);
			foreach($file1 as $line)$file[]=$line;
			
			$topic_count_page=$conf[60];
			if(!isset($_GET['page']) || !is_numeric(@$_GET['page']) || @$_GET['page']<1 )$page=1;
			else $page=$_GET['page'];
			if($page > ceil(count($file)/ $topic_count_page))$page=1;
			$start=$page * $topic_count_page-$topic_count_page;
			$pages=ceil(count($file)/ $topic_count_page);
			if(empty($_GET['ind']) || !is_numeric(@$_GET['ind']) || @$_GET['ind']>ceil($pages/$topic_count_page)  || @$_GET['ind']<1)$index=1;
			else $index= $_GET['ind'];
			
			$u=file("$catalog/admin/cons/cons/$_GET[c]");
			$expl_u=explode("*",$u[0]);
			
			for($x=$start,$y=0; $x<count($file); $x++,$y++)
			{
				if($y==$topic_count_page)break;
				$text=file($file[$x]);
				$text[0]=trim($text[0]);
				$expl=explode("*",$text[0]);
				echo"<div class=blok >
				
				<div  class=ansv>
				<div class=data>$expl[0]&nbsp;&nbsp;$expl[1]</div>
				$text[1]
				</div>
				
				<div>
				<div  class=quest-inf >";
				if(in_array($_GET['c'],$stat_img1)) foto($expl_u[0], "$catalog/admin/cons/foto/".$stat_img[array_search($_GET['c'], $stat_img1)]);
				else echo "<img src=$catalog/admin/img/face.jpg class=imgnone>";
				echo "<br />$expl_u[0]<br /><br />";
				if(!in_array($_GET['c'],$blok_cons))  echo"<a href='$_SERVER[PHP_SELF]?add=1&amp;c=$_GET[c]'>Задать вопрос</a><br />";
				echo"<a href='$_SERVER[PHP_SELF]?about=1&amp;c=$expl[4]'>О&nbsp;консультанте</a><br />
				
				</div>
				<p  class='quest-text valtop'>
				$text[2]
				</p>
				</div>
				</div><br />";
			}
			
			
			echo"     </td>
			</tr>";
			if(count($file)> $topic_count_page)
			{
				//Постраничная навигаця
				echo "<tr><td colspan=2 style='line-height: 1.7;' >";
				if($index>1)echo "
				<a class='navig_passiv' href=$_SERVER[PHP_SELF]?c=$_GET[c]&amp;o_q=$_GET[o_q]&amp;page=".(($index-1)*10)."&amp;ind=".($index-1)." title=назад><<</a>";
				
				for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
				{
					
					if($p>10 )
					{
						echo "<a class='navig_passiv'  href=$_SERVER[PHP_SELF]?c=$_GET[c]&amp;o_q=$_GET[o_q]&amp;page=".($i)."&amp;ind=".($index+1)." title=далее>>></a>";
						break;
					}
					if($page==$i)
					echo "<a class='navig_activ' href='$_SERVER[PHP_SELF]?c=$_GET[c]&amp;o_q=$_GET[o_q]&amp;page=$i&amp;ind=$index'>$i</a>";
					else
					echo "<a class='navig_passiv' href='$_SERVER[PHP_SELF]?c=$_GET[c]&amp;o_q=$_GET[o_q]&amp;page=$i&amp;ind=$index'>$i</a>";
				}
				
				echo "</td></tr>";
			}
		}
		
		//Поиск
		if(isset($_GET['search']))
		{
			if(!file_exists("$catalog/search/$_GET[search]") || !is_numeric($_GET['search']))
			{
				echo "<tr>
				<td class=valtop id=q_menu height=5%><a href=$_SERVER[PHP_SELF]>Вопросы и ответы</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?oll=1'>Наши консультанты</a></td></tr>
				<tr>
				<td valigh=center><table align=center  border=0><tr><td><br /><br /><br />
				<font color=#408080>По вашему запросу ничего не найдено.</font><br /><br /><br />
				</td><tr></table>
				</td>
				</tr>";
				//                   exit();
			}
			else {
                $f=@file("$catalog/search/$_GET[search]");
                $file=array(); 
                foreach($f as $line)
				{
                    $line=trim($line);
                    $expl=explode("*",$line);
                    $file[]="$catalog/admin/cons/db/$expl[0]/$expl[1]";
				}
				$topic_count_page=$conf[60];
				if(!isset($_GET['page']) || !is_numeric(@$_GET['page']) || @$_GET['page']<1 )$page=1;
				else $page=$_GET['page'];
				if($page > ceil(count($file)/ $topic_count_page))$page=1;
				$start=$page * $topic_count_page-$topic_count_page;
				$pages=ceil(count($file)/ $topic_count_page);
				if(empty($_GET['ind']) || !is_numeric(@$_GET['ind']) || @$_GET['ind']>ceil($pages/$topic_count_page)  || @$_GET['ind']<1)$index=1;
				else $index= $_GET['ind'];
				
			}
			echo"<tr>
			<td class=valtop id=q_menu>
			<a href=$_SERVER[PHP_SELF]>Вопросы и ответы</a>&nbsp;|&nbsp;
			<a href='$_SERVER[PHP_SELF]?add=1'>Задать вопрос</a>&nbsp;|&nbsp;<a href='$_SERVER[PHP_SELF]?oll=1'>
			Наши консультанты</a></td><td class='alr valtop'>
			<form name=sear action='$phpself' method=post>
			<input name=query type=text >
			<a href=# onclick=\"sear.submit()\"><img src=$catalog/img/but.png  alt=поиск title=Искать class=imgright></a>
			</form></td>
			</tr>
			<tr><td colspan=2 class=valtop>";
			
			
			$cons=array();
			$cons1=array();
			$cons=file("$catalog/admin/conf/cons.txt");
			foreach($cons as $line)
			{
				$expl=explode("*",$line);
				$cons1[$expl[1]]=$expl[0];
			}
			for($x=$start,$y=0; $x<count($file); $x++,$y++)
			{
				if($y==$topic_count_page)break;
				$text=file($file[$x]);
				$text[0]=trim($text[0]);
				$expl=explode("*",$text[0]);
				echo"<div class=blok >
				
				<div class=ansv>
				<div class=data>$expl[0]&nbsp;&nbsp;$expl[1]</div>
				$text[1]
				</div>
				
				<div>
				<div class=quest-inf >";
				if(in_array($expl[4],$stat_img1)) foto(array_search($expl[4], $cons1), "$catalog/admin/cons/foto/".$stat_img[array_search($expl[4], $stat_img1)]);
				else echo "<img src=$catalog/admin/img/face.jpg class=imgnone>";
				echo"<br>";
				echo array_search($expl[4], $cons1)."<br>
				<a href='$_SERVER[PHP_SELF]?about=1&amp;c=$expl[4]'>О&nbsp;консультанте</a><br />";
				//                         if(!in_array($expl[4],$blok_cons))echo"<a href='$_SERVER[PHP_SELF]?add=1&amp;c=$expl[4]'>Задать вопрос</a><br />";
				echo" <a href='$_SERVER[PHP_SELF]?o_q=1&amp;c=$expl[4]'>Все ответы</a>";
				
				echo"</div>
				<p  class='quest-text valtop'>
				$text[2]
				</p>
				</div>
				</div><br />";
			}
			echo"</td>
			</tr>";
			if(count($file)> $topic_count_page)
			{
				//Постраничная навигаця
				echo "<tr><td colspan=2 style='line-height: 1.7;'>";
				if($index>1)echo "
				<a class='navig_passiv' href=$_SERVER[PHP_SELF]?search=$_GET[search]&amp;page=".(($index-1)*10)."&amp;ind=".($index-1)." title=назад><<</a>";
				for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
				{
					if($p>10 )
					{
						echo "<a class='navig_passiv'  href=$_SERVER[PHP_SELF]?search=$_GET[search]&amp;page=".($i)."&amp;ind=".($index+1)." title=далее>>></a>";
						break;
					}
					if($page==$i)
					echo "<a class='navig_activ' href='$_SERVER[PHP_SELF]?search=$_GET[search]&amp;page=$i&amp;ind=$index'>$i</a>";
					else
					echo "<a class='navig_passiv' href='$_SERVER[PHP_SELF]?search=$_GET[search]&amp;page=$i&amp;ind=$index'>$i</a>";
				}
				echo "</td></tr>";
			}
		}
	?>
</table>